Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.core.transfer
Class Trapezoid

    java.lang.Object
      org.neuroph.core.transfer.TransferFunction
          org.neuroph.core.transfer.Trapezoid

All Implemented Interfaces:
  Serializable

    public class Trapezoid

extends TransferFunction
implements Serializable

Fuzzy trapezoid neuron tranfer function.

Author:
  Zoran Sevarac
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.neuroph.core.transfer.TransferFunction
`output`

Constructor Summary
`Trapezoid()` Creates an instance of Trapezoid transfer function
`Trapezoid(double leftLow, double leftHigh, double rightLow, double rightHigh)` Creates an instance of Trapezoid transfer function with the specified setting.
`Trapezoid(Properties properties)` Creates an instance of Trapezoid transfer function with the specified properties.

Method Summary
`double` | `getLeftHigh()` Returns left high point of trapezoid function
`double` | `getLeftLow()` Returns left low point of trapezoid function
`double` | `getOutput(double net)` Returns the ouput of this function.
`double` | `getRightHigh()` Returns right high point of trapezoid function
`double` | `getRightLow()` Returns right low point of trapezoid function
`void` | `setLeftHigh(double leftHigh)` Sets left high point of trapezoid function
`void` | `setLeftLow(double leftLow)` Sets left low point of trapezoid function
`void` | `setRightHigh(double rightHigh)` Sets right high point of trapezoid function
`void` | `setRightLow(double rightLow)` Sets right low point of trapezoid function

Methods inherited from class org.neuroph.core.transfer.TransferFunction
`getDerivative`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Trapezoid

    public Trapezoid()

  Creates an instance of Trapezoid transfer function

### Trapezoid

    public Trapezoid(double leftLow,
                     double leftHigh,
                     double rightLow,
                     double rightHigh)

  Creates an instance of Trapezoid transfer function with the specified setting.

### Trapezoid

    public Trapezoid(Properties properties)

  Creates an instance of Trapezoid transfer function with the specified properties.

Method Detail

### getOutput

    public double getOutput(double net)

  Description copied from class: `TransferFunction`
  Returns the ouput of this function.

  Specified by:
    `getOutput` in class `TransferFunction`
  Parameters:
    `net` - net input

### setLeftLow

    public void setLeftLow(double leftLow)

  Sets left low point of trapezoid function

  Parameters:
    `leftLow` - left low point of trapezoid function

### setLeftHigh

    public void setLeftHigh(double leftHigh)

  Sets left high point of trapezoid function

  Parameters:
    `leftHigh` - left high point of trapezoid function

### setRightLow

    public void setRightLow(double rightLow)

  Sets right low point of trapezoid function

  Parameters:
    `rightLow` - right low point of trapezoid function

### setRightHigh

    public void setRightHigh(double rightHigh)

  Sets right high point of trapezoid function

  Parameters:
    `rightHigh` - right high point of trapezoid function

### getLeftLow

    public double getLeftLow()

  Returns left low point of trapezoid function

  Returns:
    left low point of trapezoid function

### getLeftHigh

    public double getLeftHigh()

  Returns left high point of trapezoid function

  Returns:
    left high point of trapezoid function

### getRightLow

    public double getRightLow()

  Returns right low point of trapezoid function

  Returns:
    right low point of trapezoid function

### getRightHigh

    public double getRightHigh()

  Returns right high point of trapezoid function

  Returns:
    right high point of trapezoid function

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.